<?php

class NP_MgrTweak extends NucleusPlugin {
	function getName()           { return 'MgrTweak'; }
	function getAuthor()         { return 'yamamoto'; }
	function getURL()            { return 'http://kyms.ne.jp/'; }
	function getVersion()        { return '0.1.5'; }
	function supportsFeature($w) { return ($w == 'SqlTablePrefix') ? 1 : 0; }
	function getDescription()    { return ''._LANG_NP_MGRTWEAK01.''; }
	function getEventList()      { return array('PreSendContentType', 'AdminPrePageFoot', 'AdminPrePageHead', 'BookmarkletExtraHead'); }


	function init () { 
		$language = ereg_replace( '[\\|/]', '', getLanguageName()); 
		$incFile = (file_exists($this->getDirectory().'language/'.$language.'.php')) ? $language : 'english'; 
		include_once($this->getDirectory().'language/'.$incFile.'.php'); 
		$this->language = $incFile; 
	}



function event_AdminPrePageHead($data) {
global $action;
$adminurl = $this->getAdminURL();
$data['extrahead'].= <<< END
<style type=text/css>
body#additem .row1, body#itemlist .row1, body#browseownitems .row1, body#browseowncomments .row1 {
white-space: nowrap;}
#quickmenu,#content {color:#333; border-color: #ccc;}
body {background:url(plugins/mgrtweak/background.png) repeat-x;}
#quickmenu h2 {background:url(plugins/mgrtweak/h2background.png) repeat-x;}
textarea {padding:7px;line-height:145%;font-size:small;}
textarea.templateedit {width:450px;}
th {background-color:#e4e4e4;letter-spacing:2px;color:#333;}
td {padding:7px 4px;}
#quickmenu {background-image: url(plugins/mgrtweak/quickb.png);}
#quickmenu a:hover {background-image: url(plugins/mgrtweak/quickb-hover.png);}
table.navigation td {background-color:#dddddd;}
input.submitbutton {padding:7px 3px;}
table.navigation td input.submitbutton {padding:2px;}
textarea.pluginoption {width:350px;}
body#pluginoptions td.row1,body#pluginoptionsupdate td.row1 {background-color:#f9f9f9;color:#1d3565;width:220px;font-weight:bold;}
div.loginname {padding:5px;border:1px solid #eee;}
body#skinoverview ul {list-style-type:none;margin:5px 10px;}
h1 {background:url(plugins/mgrtweak/nucleusLogo.png) no-repeat;background-position:right center;padding-right:40px;}
div#content h3 {color:#596d9d;border-left:5px solid #596d9d;border-bottom:none;padding-left:8px;margin-left:4px;}
</style>
<script language="javascript" type="text/javascript" src="{$adminurl}utility.js"></script>

END;
}

function event_BookmarkletExtraHead($data) {
$adminurl = $this->getAdminURL();
$data['extrahead'] .= <<< END
<script language="javascript" type="text/javascript" src="{$adminurl}utility.js"></script>
END;

}

  var $isActive = false;

  function event_PreSendContentType($data) {
    if (substr($data['pageType'], 0, 6) == 'admin-') {
      ob_implicit_flush(false);
      $this->isActive = ob_start();
    }
  }

  function event_AdminPrePageFoot($data) {
    if ($this->isActive) {
      $action = $data['action'];
      $str = ob_get_contents();
      ob_end_clean();
    $str = str_replace("<body", "<body id=\"$action\"", $str);
    $str = ereg_replace("blurRow\(this\);'><td[ ]*>", "blurRow(this);'><td class=\"row1\">", $str);
    $str = ereg_replace("<td class=\"row1\">blog:[a-zA-Z0-9_ ][a-zA-Z0-9_ ]*<br />", "<td class=\"row1\">", $str);
    $str = str_replace("type=\"submit\"", "type=\"submit\" class=\"submitbutton\"", $str);
    $str = ereg_replace(_LIST_PLUGS_SUBS."<br />[^<]*", "", $str);
    $str = str_replace(_LIST_PLUGS_DESC."<br/>","" , $str);
    $temp1 = _LIST_PLUGS_UP."</a><br />";
    $temp2 = _LIST_PLUGS_UP."</a> | ";
    $str = str_replace($temp1,$temp2 , $str);
    $str = str_replace("<td><a href='index", "<td style=\"white-space:nowrap;\"><a href='index", $str);
//    $str = ereg_replace(_LIST_PLUGS_SUBS.":<br />[^<]*<td>", "<td>", $str);
    $str = ereg_replace("<table class=\"navigation\">[\r\t\n\f]*<tr>[\r\t\n\f]*<td>", "<table class=\"navigation\"><tr><td style=\"background-color:#dddddd;\">", $str);
    $str = ereg_replace("<tr>[\r\t\n\f]*<td>", "<tr><td style=\"background-color:#f9f9f9;color:#1d3565;width:220px;font-weight:bold;\">", $str);
    $str = str_replace('name="search" value="" size="7" />', 'name="search" value="" size="20" />', $str);
    $str = str_replace("size=\"40\"","style=\"width:350px;\"" , $str);
    $str = str_replace(_PLUGS_OPTIONS_UPDATED,"<div style=\"font-weight:bold;color:#b22222;\">"._PLUGS_OPTIONS_UPDATED."</div>" , $str);


    $str = ereg_replace("<p>[0-9a-zA-Z ]*:[\s\S]*([^<]*)</p>[\r\t\n\f]*<p>[\r\t\n\f]*(<[^<]*</a>)[\r\t\n\f]*</p>",
    "<table><tr><td style=\"background-color:#f9f9f9;color:#1d3565;width:220px;font-weight:bold;\">"._TEAM_CURRENT."</td><td>\\1</td><td>\\2</td></tr></table>", $str);
    $str = str_replace("<h1>","<h1><a href=\"".$adminurl."\" style=\"text-decoration:none;color:#596d9d;\">" , $str);
    $str = str_replace("</h1>","</a></h1>" , $str);

      echo $str;
    }
  }
}

?>
